package com.example.fasjdfksdfkl;

import androidx.appcompat.app.AppCompatActivity;

import android.os.Bundle;
import android.widget.Button;
import android.widget.SeekBar;
import android.widget.TextView;

public class MainActivity extends AppCompatActivity {

    public String[] cytaty = {"Dzień dobry", "Good morning", "Buenos dias"};
    public int cytatIdx = 0;
    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_main);

        Button cytatBtn = findViewById(R.id.cytatBtn);
        TextView cytatView = findViewById(R.id.cytatView);
        SeekBar rozmiarBar = findViewById(R.id.rozmiarBar);


        cytatBtn.setOnClickListener(view -> {
            cytatIdx++;
            cytatIdx = cytatIdx % 3;

            cytatView.setText(cytaty[cytatIdx]);
        });

        rozmiarBar.setOnSeekBarChangeListener(new SeekBar.OnSeekBarChangeListener() {
            @Override
            public void onProgressChanged(SeekBar seekBar, int i, boolean b) {
                cytatView.setTextSize(i);
            }

            @Override
            public void onStartTrackingTouch(SeekBar seekBar) {

            }

            @Override
            public void onStopTrackingTouch(SeekBar seekBar) {

            }
        });
    }
}